phing

# Class: BuildListener Source Location: /BuildListener.php
### Interface Overview
Interface for build listeners. #### Author(s): Andreas Aderhold <andi@binarycloud.com> Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 526 $ | ### Methods buildFinished buildStarted messageLogged targetFinished targetStarted taskFinished taskStarted
### Child classes: BuildLogger Interface for build loggers.
### Class Details [line 35] Interface for build listeners. Classes that implement a listener must extend this class and (faux)implement all methods that are decleard as dummies below. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 526 $
see: | Project::addBuildListener()
see: | BuildEvent
[ Top ] ### Class Methods ### method buildFinished [line 50]
`void buildFinished( BuildEvent $event)`
Fired after the last target has finished. #### Tags:
see: | BuildEvent::getException()
#### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] ### method buildStarted [line 42]
`void buildStarted( BuildEvent $event)`
Fired before any targets are started. #### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] ### method messageLogged [line 90]
`void messageLogged( BuildEvent $event)`
Fired whenever a message is logged. #### Tags:
see: | BuildEvent::getMessage()
#### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] ### method targetFinished [line 66]
`void targetFinished( BuildEvent $event)`
Fired when a target has finished. #### Tags:
see: | getException()
#### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] ### method targetStarted [line 58]
`void targetStarted( BuildEvent $event)`
Fired when a target is started. #### Tags:
see: | BuildEvent::getTarget()
#### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] ### method taskFinished [line 82]
`void taskFinished( BuildEvent $event)`
Fired when a task has finished. #### Tags:
see: | BuildEvent::getException()
#### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] ### method taskStarted [line 74]
`void taskStarted( BuildEvent $event)`
Fired when a task is started. #### Tags:
see: | BuildEvent::getTask()
#### Parameters:
BuildEvent | $event | The BuildEvent
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:27 +0200 by phpDocumentor 1.4.3